Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Commits on Jul 6, 2010
  1. 1.0.2 release.

    authored
  2. Ensure the response body is serialized as a raw string, without any e…

    authored
    …xtensions on the string instance.
    
    This is needed for rest-client.  Closes #4.
  3. Silence WEBrick logging.

    authored
Commits on Jul 5, 2010
Commits on Jul 4, 2010
Commits on Jul 2, 2010
  1. 1.0.1 release.

    authored
  2. Updated README.

    authored
Commits on Jul 1, 2010
  1. Fixed spec description.

    authored
  2. @ericallam
  3. Normalize request and response headers so they are always saved with

    authored
    lower case keys and arrays of values.
    
    This is the way Net::HTTP normalizes them, but recording non-Net::HTTP
    requests resulted in cassettes with headers that deviated from this
    norm.
Commits on Jun 30, 2010
  1. Added tags to .gitignore.

    authored
Commits on Jun 28, 2010
Commits on Jun 27, 2010
  1. Fixed localhost server so that it properly shuts down with rack 1.2.1.

    authored
    I had disabled this for 1.9.2 because I thought it was an issue with that version of ruby, but it was actually an issue with having rack 1.2.1 installed for 1.9.2.  Now I've re-enabled it for 1.9.2.
  2. Got the specs and features to pass on 1.9.2.

    authored
    Ruby 1.9.1 has some slight YAML serialization differences from 1.8.x.  1.9.2 has the same YAML serialization as 1.8.x, so I've changed the fixtures directories from 1.8.6, 1.8.7 and 1.9.1 to 1.9.1 and not_1.9.1.
  3. The code that stops the localhost server process isn't working on 1.9.2.

    authored
    Hopefully I can fix it at some point, but for now I'm disabling it and the code that depends on it for 1.9.2.
Commits on Jun 26, 2010
  1. Improve the speed of some specs: rather than repeating the same HTTP …

    authored
    …request for each spec, make the HTTP request once, and then clone the response for each spec.
Commits on Jun 22, 2010
  1. 1.0.0 release.

    authored
  2. Gracefully used requirement? or version_requirements? based on which …

    authored
    …is available. It appears that requirement? isn't available in rubygems 1.3.5.
  3. Require webmock 1.3.0.

    authored
Something went wrong with that request. Please try again.